# DataExchange
TKSTEPBase
StepBasic

# StepBasic_SiUnit Class Reference

`#include <StepBasic_SiUnit.hxx>`

Inheritance diagram for StepBasic_SiUnit:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_SiUnit ()
| Returns a SiUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | Init (const Standard_Boolean hasAprefix, const StepBasic_SiPrefix aPrefix, const StepBasic_SiUnitName aName)
Standard_EXPORT void | SetPrefix (const StepBasic_SiPrefix aPrefix)
Standard_EXPORT void | UnSetPrefix ()
Standard_EXPORT StepBasic_SiPrefix | Prefix () const
Standard_EXPORT Standard_Boolean | HasPrefix () const
Standard_EXPORT void | SetName (const StepBasic_SiUnitName aName)
Standard_EXPORT StepBasic_SiUnitName | Name () const
virtual Standard_EXPORT void | SetDimensions (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT Handle_StepBasic_DimensionalExponents | Dimensions () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepBasic_SiPrefix | prefix
StepBasic_SiUnitName | name
Standard_Boolean | hasPrefix

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_SiUnit::StepBasic_SiUnit | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_StepBasic_DimensionalExponents StepBasic_SiUnit::Dimensions | ( |  | ) | const`[virtual]`

| Reimplemented from StepBasic_NamedUnit. Reimplemented in StepBasic_SiUnitAndAreaUnit, and StepBasic_SiUnitAndVolumeUnit.

Standard_EXPORT const StepBasic_SiUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_NamedUnit. Reimplemented in StepBasic_SiUnitAndAreaUnit, StepBasic_SiUnitAndLengthUnit, StepBasic_SiUnitAndMassUnit, StepBasic_SiUnitAndPlaneAngleUnit, StepBasic_SiUnitAndRatioUnit, StepBasic_SiUnitAndSolidAngleUnit, StepBasic_SiUnitAndThermodynamicTemperatureUnit, StepBasic_SiUnitAndTimeUnit, and StepBasic_SiUnitAndVolumeUnit.

Standard_EXPORT Standard_Boolean StepBasic_SiUnit::HasPrefix | ( |  | ) | const

virtual Standard_EXPORT void StepBasic_SiUnit::Init | ( | const Standard_Boolean | hasAprefix,
|  | const StepBasic_SiPrefix | aPrefix,
|  | const StepBasic_SiUnitName | aName
| ) | `[virtual]`

| Reimplemented in StepBasic_SiUnitAndLengthUnit, StepBasic_SiUnitAndMassUnit, StepBasic_SiUnitAndPlaneAngleUnit, StepBasic_SiUnitAndRatioUnit, StepBasic_SiUnitAndSolidAngleUnit, StepBasic_SiUnitAndThermodynamicTemperatureUnit, and StepBasic_SiUnitAndTimeUnit.

virtual Standard_EXPORT void StepBasic_SiUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_NamedUnit. Reimplemented in StepBasic_SiUnitAndLengthUnit, StepBasic_SiUnitAndMassUnit, StepBasic_SiUnitAndPlaneAngleUnit, StepBasic_SiUnitAndRatioUnit, StepBasic_SiUnitAndSolidAngleUnit, StepBasic_SiUnitAndThermodynamicTemperatureUnit, and StepBasic_SiUnitAndTimeUnit.

Standard_EXPORT StepBasic_SiUnitName StepBasic_SiUnit::Name | ( |  | ) | const

Standard_EXPORT StepBasic_SiPrefix StepBasic_SiUnit::Prefix | ( |  | ) | const

virtual Standard_EXPORT void StepBasic_SiUnit::SetDimensions | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_NamedUnit. Reimplemented in StepBasic_SiUnitAndAreaUnit, and StepBasic_SiUnitAndVolumeUnit.

Standard_EXPORT void StepBasic_SiUnit::SetName | ( | const StepBasic_SiUnitName | aName | ) |

Standard_EXPORT void StepBasic_SiUnit::SetPrefix | ( | const StepBasic_SiPrefix | aPrefix | ) |

Standard_EXPORT void StepBasic_SiUnit::UnSetPrefix | ( |  | ) |

## Field Documentation

Standard_Boolean StepBasic_SiUnit::hasPrefix `[private]`

StepBasic_SiUnitName StepBasic_SiUnit::name `[private]`

StepBasic_SiPrefix StepBasic_SiUnit::prefix `[private]`

The documentation for this class was generated from the following file:

- StepBasic_SiUnit.hxx